
Version 5.3.2 released

# Animated Book Menu

This repository contains the example project for the Unreal Engine Marketplace Plugin [Animated Book Menu](https://www.unrealengine.com/marketplace/en-US/product/animated-book-menu)

## How to use the Example Projects

* Clone or download and extract the repository
* Navigate to the Projects folder and to the Project you want to open
* Open the *.uproject file
* If Unreals asks you to download Marketplace Content, confirm

## About the Plugin (Available on the Unreal Marketplace)

Interactive UMG User Widgets rendered to the pages of an animated book. Customizable Book Assets included. With page turn animations.

You would like to use 3D widgets in your project? But 3D Widget Components are just too flat for you?
How about an animated book with curved pages for your UI?

This plugin exposes all necessary render features to render UMG User Widgets onto the pages of an animated book.
Create custom user widgets with any content you like and display them on the pages of the animated book.

Make your User Widgets fully interactive by still using all the features of Unreal Engine's WidgetInteractionComponent.
The added editor functionality and a new asset type BookMenuData supports your workflow to create a whole library full of different books with different covers and contents.

With the built in data driven approach, you just pass your BookMenuData Assets to a BookMenuActor or BookMenuActorComponent and it will setup the materials and render targets for you.

You want to interact with the Book? Of course! Just add a BookMenuInteractionComponent to your Character or place a BookMenuInteractionActor directly into the game world to make your BookMenuActor or BookMenuComponent interactive.

You can extend the BookMenuActor in Blueprints and implement you very own logic.
Want to create a Building Menu for a Survival Craft Game?
Or you want to tell your game's story in books the player can read?
Yes! You think it, you make it! And here are the tools for you.

